/***********************************************************************
 * ME_Array.c
 *
 * Generate a RAM-array which can used for performance analysis
 *
 ***********************************************************************
 * License
 * (C) Copyright 2019 Falk Richter, falk.richter at yandex.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 ***********************************************************************/ 


#ifndef ME_ARRAY_H
#define ME_ARRAY_H

#include "PRJ_Types.h"

/* the calculation of the stimulus for a width of one byte */
extern void ME_vGenUint8Array(uint32_T u32Size, uint8_T * pu8Data);

/* the calculation of the stimulus for a width of four bytes */
extern void ME_vGenUint32Array(uint32_T u32Size, uint32_T * pu32Data);

/* copy two arrays ( data type: one byte ) */
extern void ME_vCopyUint8Array(uint32_T u32Size, uint8_T * pu8Source, uint8_T * pu8Destination);

/* copy two arrays ( data type: four bytes ) */ 
extern void ME_vCopyUint32Array(uint32_T u32Size, uint32_T * pu32Source, uint32_T * pu32Destination);
    

#endif /* ME_ARRAY_H */

