/***********************************************************************
 * ME_Time.h
 *
 * Measure the time consumption for a function in microseconds
 *
 * The time measurement is based on ideas of Alexander Saprykin
 * published on:
 * https://stackoverflow.com/questions/361363
 * /how-to-measure-time-in-milliseconds-using-ansi-c
 *
 ***********************************************************************
 * License
 * (C) Copyright 2019 Falk Richter, falk.richter at yandex.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 ***********************************************************************/
#include "PRJ_Types.h"

#ifndef ME_TIME_H
#define ME_TIME_H

/* initialize the timer module */
void ME_vTimerInit(void);
/* starts the time measurement */
void ME_vStartTimer(void);
/* stops the time measurement */
void ME_vStopTimer(void);
/* return the time difference */
uint64_T ME_u64GetTimeDiff(void);

#endif /* ME_TIME_H */

