/***********************************************************************
 *
 * PRJ_Settings.c is a structure with project global settings
 * 
 ***********************************************************************
 * License
 * (C) Copyright 2019 Falk Richter, falk.richter at yandex.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 ***********************************************************************/

#ifndef PRJ_SETTINGS_H
#define PRJ_SETTINGS_H 

#include <string.h>
#include <stdlib.h>
#include "PRJ_Types.h"

/* the initialization function */ 
extern void PRJxSET_vInit(void);
/* set the verbose mode status */
extern bool_T PRJxSET_bSetVerboseMode(bool_T bNewVerboseMode);
/* get the verbose mode status */
extern bool_T PRJxSET_bGetVerboseMode(void);
/* set the type of tests */
extern bool_T  PRJxSET_bSetTestTypes(uint32_T u32NewTestTypes);
/* get the type of tests */ 
extern uint32_T PRJxSET_u32GetTestTypes(void);
/* set the cache size */
extern bool_T  PRJxSET_bSetCacheSize(uint32_T u32NewCacheSize);
/* get the cache size */
extern uint32_T PRJxSET_u32GetCacheSize(void);
/* get the name of the write/read test file */ 
extern char * PRJxSET_pszGetFileName(void);
/* get the name of the logging file */ 
extern char * PRJxSET_pszGetLogFileName(void);

#endif /* PRJ_SETTINGS_H */

