/***********************************************************************
 * PRJ_Types.h
 *
 * NetBSD 1.5.3 which I use for my 486 processors without floating
 * point unit (FPU) has not yet the files stdint.h and stdbool.h.
 * This header file is a very short form with all standard data types
 * which I need.
 * The prefix _T is used to avoid troubles on systems which automatically
 * e.g. stdint.h includes.
 *
 ***********************************************************************
 * License
 * (C) Copyright 2019 Falk Richter, falk.richter at yandex.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 ***********************************************************************/
#ifndef PRJ_TYPES_H
#define PRJ_TYPES_H 1u

/* some stdbool.h defines */
#ifndef TRUE
#define TRUE 1u
#endif

#ifndef FALSE
#define FALSE 0
#endif

typedef unsigned char bool_T;

/* the data types */
/* we assume you will never leave the 32bit processors (486, 586 class) */
typedef unsigned char uint8_T;
typedef unsigned int uint32_T;
typedef int sint32_T;
typedef unsigned long long int uint64_T;

#endif /* PRJ_TYPES_H */

